Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227379 - csmash: $RPM_OPT_FLAGS not used
Summary: csmash: $RPM_OPT_FLAGS not used
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: csmash
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 18:36 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.6.6-14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-06 10:14:52 UTC


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS, avoid automake (deleted)
2007-02-05 18:36 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-05 18:36:57 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

csmash is built without $RPM_OPT_FLAGS, resulting in no optimization nor
compiler security features and more or less useless debuginfo.  Fix attached,
along with elimination of automake during build, and disabled dependency
tracking for cleaner build output and possible build speedups.

By the way, the configure.in part of the configure patch looks like it would be
acceptable upstream.

Comment 1 Ville Skyttä 2007-02-05 18:36:58 UTC
Created attachment 147388 [details]
Use $RPM_OPT_FLAGS, avoid automake

Comment 2 Matthias Saou 2007-02-06 10:14:52 UTC
Thanks a lot, Ville. The fix has been applied to the devel branch. I'll
eventually backport it to the others, but it's not of the highest importance IMHO.


Note You need to log in before you can comment on or make changes to this bug.